Get email account
curl --request GET \
--url https://app.gtm-api.com/email/v4/api/email-accounts/{sid} \
--header 'Authorization: Bearer <token>' \
--header 'Team-SID: <api-key>'import requests
url = "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}"
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Team-SID': '<api-key>'}
};
fetch('https://app.gtm-api.com/email/v4/api/email-accounts/{sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.gtm-api.com/email/v4/api/email-accounts/{sid}")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/email/v4/api/email-accounts/{sid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "get",
"item": {
"sid": "<string>",
"team_sid": "<string>",
"email_sending_domain_sid": "<string>",
"provider": "google",
"address": "<string>",
"display_name": "<string>",
"aliases": [
"<string>"
],
"status": "connecting",
"sending_paused_at": "<string>",
"sending_paused_reason": "manual",
"connection": {
"imap_host": "<string>",
"imap_port": 123,
"imap_encryption": "ssl",
"imap_username": "<string>",
"smtp_host": "<string>",
"smtp_port": 123,
"smtp_encryption": "ssl",
"smtp_username": "<string>"
},
"sending_limits": {
"daily_limit": 123,
"min_interval_seconds": 123,
"sending_window": {
"time_zone": "<string>",
"days": [
123
],
"start": "<string>",
"end": "<string>"
}
},
"warmup_config": {
"enabled": true,
"ramp_start_daily": 123,
"ramp_step_per_day": 123,
"target_daily": 123
},
"signature_html": "<string>",
"track_opens": true,
"track_clicks": true,
"email_tracking_domain_sid": "<string>",
"email_oauth_app_sid": "<string>",
"backfill_days": 123,
"last_messages_sync_at": "<string>",
"last_folders_sync_at": "<string>",
"connected_at": "<string>",
"reconnect_required_at": "<string>",
"sync_config": {},
"webhook_config": {},
"created_by": {
"actor_type": "user",
"actor_sid": "<string>",
"team_sid": "<string>",
"permissions": {},
"actor_name": "<string>",
"oauth_client_sid": "<string>",
"reason": "<string>",
"cluster_id": 123,
"trace_id": "<string>"
},
"sending_paused_until": "<string>",
"reconnect_reason": "<string>",
"email_box_sid": "<string>",
"label": "<string>",
"address_domain": "<string>",
"sent_today": 123,
"daily_cap_today": 123,
"warmup_day": 123,
"auth_suspect": {
"since": "<string>",
"failures": 123,
"next_try_at": "<string>",
"source": "<string>"
},
"subscription_hold_reason": "server_full",
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"included": {
"health": {
"sid": "<string>",
"team_sid": "<string>",
"email_account_sid": "<string>",
"health_score": 123,
"warmup_level": "cold",
"sent_7d": 123,
"sent_30d": 123,
"bounce_rate_30d": 123,
"hard_bounces_30d": 123,
"soft_bounces_30d": 123,
"policy_blocks_30d": 123,
"complaints_30d": 123,
"complaint_rate_30d": 123,
"reply_rate_30d": 123,
"tracked_open_rate_30d": 123,
"reconnect_incidents_30d": 123,
"warmup_enabled": true,
"dns_health": {
"mx": "valid",
"spf": "valid",
"dkim": "valid",
"dmarc": "valid",
"return_path": "valid",
"tracking_domain": "valid"
},
"sending_paused_reason": "manual",
"tips": [
{
"code": "<string>",
"severity": "<string>",
"message": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
}
},
"includes": [
"<string>"
],
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
}
}email_accounts
Get email account
Read one mailbox by sid: its status and why it is held or needs a reconnect, the sending limits, window and warmup ramp, tracking, signature, sync and webhook settings, and the IMAP and SMTP servers of an imap_smtp mailbox (never a password). include health adds the latest health snapshot: score, bounce and complaint rates, DNS state and what to fix. Requires can_view_email_accounts.
Contract:
- MCP tool
get_email_account, registry packagemcp.email/email_accounts, mountemail.accounts. - Operation
get, response envelopeget. - Flags: read only.
GET
/
api
/
email-accounts
/
{sid}
Get email account
curl --request GET \
--url https://app.gtm-api.com/email/v4/api/email-accounts/{sid} \
--header 'Authorization: Bearer <token>' \
--header 'Team-SID: <api-key>'import requests
url = "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}"
headers = {
"Authorization": "Bearer <token>",
"Team-SID": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Team-SID': '<api-key>'}
};
fetch('https://app.gtm-api.com/email/v4/api/email-accounts/{sid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Team-SID: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.gtm-api.com/email/v4/api/email-accounts/{sid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Team-SID", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.gtm-api.com/email/v4/api/email-accounts/{sid}")
.header("Authorization", "Bearer <token>")
.header("Team-SID", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.gtm-api.com/email/v4/api/email-accounts/{sid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
request["Team-SID"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"operation": "get",
"item": {
"sid": "<string>",
"team_sid": "<string>",
"email_sending_domain_sid": "<string>",
"provider": "google",
"address": "<string>",
"display_name": "<string>",
"aliases": [
"<string>"
],
"status": "connecting",
"sending_paused_at": "<string>",
"sending_paused_reason": "manual",
"connection": {
"imap_host": "<string>",
"imap_port": 123,
"imap_encryption": "ssl",
"imap_username": "<string>",
"smtp_host": "<string>",
"smtp_port": 123,
"smtp_encryption": "ssl",
"smtp_username": "<string>"
},
"sending_limits": {
"daily_limit": 123,
"min_interval_seconds": 123,
"sending_window": {
"time_zone": "<string>",
"days": [
123
],
"start": "<string>",
"end": "<string>"
}
},
"warmup_config": {
"enabled": true,
"ramp_start_daily": 123,
"ramp_step_per_day": 123,
"target_daily": 123
},
"signature_html": "<string>",
"track_opens": true,
"track_clicks": true,
"email_tracking_domain_sid": "<string>",
"email_oauth_app_sid": "<string>",
"backfill_days": 123,
"last_messages_sync_at": "<string>",
"last_folders_sync_at": "<string>",
"connected_at": "<string>",
"reconnect_required_at": "<string>",
"sync_config": {},
"webhook_config": {},
"created_by": {
"actor_type": "user",
"actor_sid": "<string>",
"team_sid": "<string>",
"permissions": {},
"actor_name": "<string>",
"oauth_client_sid": "<string>",
"reason": "<string>",
"cluster_id": 123,
"trace_id": "<string>"
},
"sending_paused_until": "<string>",
"reconnect_reason": "<string>",
"email_box_sid": "<string>",
"label": "<string>",
"address_domain": "<string>",
"sent_today": 123,
"daily_cap_today": 123,
"warmup_day": 123,
"auth_suspect": {
"since": "<string>",
"failures": 123,
"next_try_at": "<string>",
"source": "<string>"
},
"subscription_hold_reason": "server_full",
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
},
"included": {
"health": {
"sid": "<string>",
"team_sid": "<string>",
"email_account_sid": "<string>",
"health_score": 123,
"warmup_level": "cold",
"sent_7d": 123,
"sent_30d": 123,
"bounce_rate_30d": 123,
"hard_bounces_30d": 123,
"soft_bounces_30d": 123,
"policy_blocks_30d": 123,
"complaints_30d": 123,
"complaint_rate_30d": 123,
"reply_rate_30d": 123,
"tracked_open_rate_30d": 123,
"reconnect_incidents_30d": 123,
"warmup_enabled": true,
"dns_health": {
"mx": "valid",
"spf": "valid",
"dkim": "valid",
"dmarc": "valid",
"return_path": "valid",
"tracking_domain": "valid"
},
"sending_paused_reason": "manual",
"tips": [
{
"code": "<string>",
"severity": "<string>",
"message": "<string>"
}
],
"created_at": "<string>",
"updated_at": "<string>",
"deleted_at": "<string>"
}
},
"includes": [
"<string>"
],
"meta": {
"trace_id": "<string>",
"span_id": "<string>",
"timestamp": "<string>",
"duration_ms": 1,
"team_sid": "<string>",
"actor_type": "<string>"
}
}